<?php get_header();
wp_reset_query(); ?>
<?php $section1choises = get_field('main', 'options'); ?>
<?php if ($section1choises) : ?>
    <div class="home-main-wrapper mt-5 ">
        <div class="container">
            <div class="row">
                <div class="col-lg-8">
                    <div class="section-title mb-3">Latest News</div>
                    <?php
                    global $paged;
                    if (get_query_var('paged')) {
                        $my_page = get_query_var('paged');
                    } else {
                        if (get_query_var('page')) {
                            $my_page = get_query_var('page');
                        } else {
                            $my_page = 1;
                        }
                        set_query_var('paged', $my_page);
                        $paged = $my_page;
                    }; ?>
                    <?php $section1 = new WP_Query(array(
                        'post_type' => 'post',
                        'posts_per_page' => 10,
                        'paged' => $my_page,
                        'tax_query' => array(
                            array(
                                'taxonomy' => 'category',
                                'field' => 'term_id',
                                'terms' => $section1choises,
                            )
                        )
                    ));

                    $i = 0;
                    while ($section1->have_posts()) : $section1->the_post(); ?>
                        <div class="latest-news-article-box wow fadeInUp" data-wow-delay="<?php echo $i++ ?>00ms">
                            <div class="media">
                                <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                                <?php $imgholder = IMAGES . '/no-img.jpg' ?>

                                <a href="<?php the_permalink() ?>"><img class="mr-3 lazy img-fluid"
                                                                        data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                                                        alt="<?php the_title() ?>"></a>
                                <div class="media-body">
                                    <h5><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h5>
                                    <p><?php echo wp_trim_words(get_the_excerpt(), 30) ?></p>
                                    <a href="<?php the_permalink() ?>" class="btn btn-grade-blue">Read More</a>
                                </div>
                            </div>
                        </div>
                    <?php endwhile;
                    wp_reset_query(); ?>

                    <nav aria-label="Page navigation example">
                        <?php wp_pagenavi(array('query' => $section1)); ?>
                    </nav>
                    <div class="mt-5"></div>
                    <?php $department1 = get_field('department_1', 'options');
                    if ($department1) : ?>
                        <div class="department-box-wrapper">
                            <?php $department1Loop = new WP_Query(array(
                                'post_type' => 'post',
                                'posts_per_page' => 3,
                                'tax_query' => array(
                                    array(
                                        'taxonomy' => 'category',
                                        'field' => 'term_id',
                                        'terms' => $department1,
                                    )
                                )
                            )); ?>
                            <div class="department-title d-flex">
                                <div class="section-title"><?php echo get_the_category_by_ID($department1) ?></div>
                                <div class="see-full-section ml-auto align-self-center"><a
                                            href="<?php echo get_category_link($department1) ?>"
                                            class="d-block">More</a>
                                </div>
                            </div>
                            <div class="card-deck">
                                <?php $i = 0;
                                while ($department1Loop->have_posts()) : $department1Loop->the_post(); ?>
                                    <div class="card wow fadeIn" data-wow-delay="<?php echo $i++ ?>00ms">
                                        <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                                        <?php $imgholder = IMAGES . '/no-img.jpg' ?>

                                        <a href="<?php the_permalink() ?>"><img class="lazy img-fluid card-img-top"
                                                                                data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                                                                alt="<?php the_title() ?>"></a>
                                        <div class="card-body">
                                            <h5 class="card-title"><a
                                                        href="<?php the_permalink() ?>"><?php the_title() ?></a></h5>
                                            <p class="card-text">
                                                <?php echo wp_trim_words(get_the_excerpt(), 30) ?></p>

                                        </div>
                                        <div class="card-footer">
                                            <small class="text-muted"><i
                                                        class="fa fa-calendar"></i> <?php echo get_the_date($post->id) ?>
                                            </small>
                                        </div>
                                    </div>
                                <?php endwhile;
                                wp_reset_query(); ?>

                            </div>
                        </div>
                    <?php endif; ?>

                    <?php $department2 = get_field('department_2', 'options');
                    if ($department2) : ?>
                        <div class="department-box-wrapper">
                            <?php $department2Loop = new WP_Query(array(
                                'post_type' => 'post',
                                'posts_per_page' => 3,
                                'tax_query' => array(
                                    array(
                                        'taxonomy' => 'category',
                                        'field' => 'term_id',
                                        'terms' => $department2,
                                    )
                                )
                            )); ?>
                            <div class="department-title d-flex">
                                <div class="section-title"><?php echo get_the_category_by_ID($department2) ?></div>
                                <div class="see-full-section ml-auto align-self-center"><a
                                            href="<?php echo get_category_link($department2) ?>"
                                            class="d-block">More</a>
                                </div>
                            </div>
                            <div class="card-deck">
                                <?php $i = 0;
                                while ($department2Loop->have_posts()) : $department2Loop->the_post(); ?>
                                    <div class="card wow fadeIn" data-wow-delay="<?php echo $i++ ?>00ms">
                                        <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                                        <?php $imgholder = IMAGES . '/no-img.jpg' ?>

                                        <a href="<?php the_permalink() ?>"><img class="lazy img-fluid card-img-top"
                                                                                data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                                                                alt="<?php the_title() ?>"></a>
                                        <div class="card-body">
                                            <h5 class="card-title"><a
                                                        href="<?php the_permalink() ?>"><?php the_title() ?></a></h5>
                                            <p class="card-text">
                                                <?php echo wp_trim_words(get_the_excerpt(), 30) ?></p>

                                        </div>
                                        <div class="card-footer">
                                            <small class="text-muted"><i
                                                        class="fa fa-calendar"></i> <?php echo get_the_date($post->id) ?>
                                            </small>
                                        </div>
                                    </div>
                                <?php endwhile;
                                wp_reset_query(); ?>

                            </div>
                        </div>
                    <?php endif; ?>

                    <?php $department3 = get_field('department_3', 'options');
                    if ($department3) : ?>
                        <div class="department-box-wrapper">
                            <?php $department3Loop = new WP_Query(array(
                                'post_type' => 'post',
                                'posts_per_page' => 3,
                                'tax_query' => array(
                                    array(
                                        'taxonomy' => 'category',
                                        'field' => 'term_id',
                                        'terms' => $department3,
                                    )
                                )
                            )); ?>
                            <div class="department-title d-flex">
                                <div class="section-title"><?php echo get_the_category_by_ID($department3) ?></div>
                                <div class="see-full-section ml-auto align-self-center"><a
                                            href="<?php echo get_category_link($department3) ?>"
                                            class="d-block">More</a>
                                </div>
                            </div>
                            <div class="card-deck">
                                <?php $i = 0;
                                while ($department3Loop->have_posts()) : $department3Loop->the_post(); ?>
                                    <div class="card wow fadeIn" data-wow-delay="<?php echo $i++ ?>00ms">

                                        <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                                        <?php $imgholder = IMAGES . '/no-img.jpg' ?>

                                        <a href="<?php the_permalink() ?>"><img class="lazy img-fluid card-img-top"
                                                                                data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                                                                alt="<?php the_title() ?>"></a>
                                        <div class="card-body">
                                            <h5 class="card-title"><a
                                                        href="<?php the_permalink() ?>"><?php the_title() ?></a></h5>
                                            <p class="card-text">
                                                <?php echo wp_trim_words(get_the_excerpt(), 30) ?></p>

                                        </div>
                                        <div class="card-footer">
                                            <small class="text-muted"><i
                                                        class="fa fa-calendar"></i> <?php echo get_the_date($post->id) ?>
                                            </small>
                                        </div>
                                    </div>
                                <?php endwhile;
                                wp_reset_query(); ?>

                            </div>
                        </div>
                    <?php endif; ?>
                    <?php $first3 = get_field('after_first_3_departments', 'options');
                    if ($first3) :?>
                        <div class="departments-ad my-2">
                            <?php echo $first3; ?>
                        </div>
                    <?php endif; ?>
                    <?php $department4 = get_field('department_4', 'options');
                    if ($department4) : ?>
                        <div class="department-box-wrapper">
                            <?php $department4Loop = new WP_Query(array(
                                'post_type' => 'post',
                                'posts_per_page' => 3,
                                'tax_query' => array(
                                    array(
                                        'taxonomy' => 'category',
                                        'field' => 'term_id',
                                        'terms' => $department4,
                                    )
                                )
                            )); ?>
                            <div class="department-title d-flex">
                                <div class="section-title"><?php echo get_the_category_by_ID($department4) ?></div>
                                <div class="see-full-section ml-auto align-self-center"><a
                                            href="<?php echo get_category_link($department4) ?>"
                                            class="d-block">More</a>
                                </div>
                            </div>
                            <div class="card-deck">
                                <?php $i = 0;
                                while ($department4Loop->have_posts()) : $department4Loop->the_post(); ?>
                                    <div class="card wow fadeIn" data-wow-delay="<?php echo $i++ ?>00ms">
                                        <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                                        <?php $imgholder = IMAGES . '/no-img.jpg' ?>

                                        <a href="<?php the_permalink() ?>"><img class="lazy img-fluid card-img-top"
                                                                                data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                                                                alt="<?php the_title() ?>"></a>
                                        <div class="card-body">
                                            <h5 class="card-title"><a
                                                        href="<?php the_permalink() ?>"><?php the_title() ?></a></h5>
                                            <p class="card-text">
                                                <?php echo wp_trim_words(get_the_excerpt(), 40) ?></p>

                                        </div>
                                        <div class="card-footer">
                                            <small class="text-muted"><i
                                                        class="fa fa-calendar"></i> <?php echo get_the_date($post->id) ?>
                                            </small>
                                        </div>
                                    </div>
                                <?php endwhile;
                                wp_reset_query(); ?>

                            </div>
                        </div>
                    <?php endif; ?>

                    <?php $department5 = get_field('department_5', 'options');
                    if ($department5) : ?>
                        <div class="department-box-wrapper">
                            <?php $department5Loop = new WP_Query(array(
                                'post_type' => 'post',
                                'posts_per_page' => 3,
                                'tax_query' => array(
                                    array(
                                        'taxonomy' => 'category',
                                        'field' => 'term_id',
                                        'terms' => $department5,
                                    )
                                )
                            )); ?>
                            <div class="department-title d-flex">
                                <div class="section-title"><?php echo get_the_category_by_ID($department5) ?></div>
                                <div class="see-full-section ml-auto align-self-center"><a
                                            href="<?php echo get_category_link($department5) ?>"
                                            class="d-block">More</a>
                                </div>
                            </div>
                            <div class="card-deck">
                                <?php $i = 0;
                                while ($department5Loop->have_posts()) : $department5Loop->the_post(); ?>
                                    <div class="card wow fadeIn" data-wow-delay="<?php echo $i++ ?>00ms">

                                        <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                                        <?php $imgholder = IMAGES . '/no-img.jpg' ?>

                                        <a href="<?php the_permalink() ?>"><img class="lazy img-fluid card-img-top"
                                                                                data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                                                                alt="<?php the_title() ?>"></a>
                                        <div class="card-body">
                                            <h5 class="card-title"><a
                                                        href="<?php the_permalink() ?>"><?php the_title() ?></a></h5>
                                            <p class="card-text">
                                                <?php echo wp_trim_words(get_the_excerpt(), 50) ?></p>

                                        </div>
                                        <div class="card-footer">
                                            <small class="text-muted"><i
                                                        class="fa fa-calendar"></i> <?php echo get_the_date($post->id) ?>
                                            </small>
                                        </div>
                                    </div>
                                <?php endwhile;
                                wp_reset_query(); ?>

                            </div>
                        </div>
                    <?php endif; ?>

                    <?php $department6 = get_field('department_6', 'options');
                    if ($department6) : ?>
                        <div class="department-box-wrapper">
                            <?php $department6Loop = new WP_Query(array(
                                'post_type' => 'post',
                                'posts_per_page' => 3,
                                'tax_query' => array(
                                    array(
                                        'taxonomy' => 'category',
                                        'field' => 'term_id',
                                        'terms' => $department6,
                                    )
                                )
                            )); ?>
                            <div class="department-title d-flex">
                                <div class="section-title"><?php echo get_the_category_by_ID($department6) ?></div>
                                <div class="see-full-section ml-auto align-self-center"><a
                                            href="<?php echo get_category_link($department6) ?>"
                                            class="d-block">More</a>
                                </div>
                            </div>
                            <div class="card-deck">
                                <?php $i = 0;
                                while ($department6Loop->have_posts()) : $department6Loop->the_post(); ?>
                                    <div class="card wow fadeIn" data-wow-delay="<?php echo $i++ ?>00ms">

                                        <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                                        <?php $imgholder = IMAGES . '/no-img.jpg' ?>

                                        <a href="<?php the_permalink() ?>"><img class="lazy img-fluid card-img-top"
                                                                                data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                                                                alt="<?php the_title() ?>"></a>
                                        <div class="card-body">
                                            <h6 class="card-title"><a
                                                        href="<?php the_permalink() ?>"><?php the_title() ?></a></h6>
                                            <p class="card-text">
                                                <?php echo wp_trim_words(get_the_excerpt(), 60) ?></p>

                                        </div>
                                        <div class="card-footer">
                                            <small class="text-muted"><i
                                                        class="fa fa-calendar"></i> <?php echo get_the_date($post->id) ?>
                                            </small>
                                        </div>
                                    </div>
                                <?php endwhile;
                                wp_reset_query(); ?>

                            </div>
                        </div>
                    <?php endif; ?>
                    <?php $second3 = get_field('after_second_3_departments', 'options');
                    if ($second3) :?>
                        <div class="departments-ad my-2">
                            <?php echo $second3; ?>
                        </div>
                    <?php endif; ?>
                </div>
                <div class="col-lg-4">
                    <div class="home-sidebar">
                        <?php $topSidebar = get_field('home_sidebar_top', 'options');
                        if ($topSidebar) :?>
                            <div class="sidebar-ad my-2">
                                <?php echo $topSidebar; ?>
                            </div>
                        <?php endif; ?>
                        <?php $form_widget = new \MailPoet\Form\Widget();
                        if ($form_widget) :?>
                            <div class="subscribe">
                                <h6>Subscribe Now
                                    To The Newsletter
                                </h6>
                                <?php echo $form_widget->widget(array('form' => 1, 'form_type' => 'php')); ?>
                            </div>
                        <?php endif; ?>
                        <?php $sidebarSection = get_field('sidebar', 'options');
                        if ($sidebarSection) : ?>
                        <?php $sidebarLoop = new WP_Query(array(
                            'post_type' => 'post',
                            'posts_per_page' => 10,
                            'tax_query' => array(
                                array(
                                    'taxonomy' => 'category',
                                    'field' => 'term_id',
                                    'terms' => $department3,
                                )
                            )
                        )); ?>
                        <div class="row">
                            <?php $i = 0;
                            $x = 0;
                            while ($sidebarLoop->have_posts()) : $sidebarLoop->the_post(); ?>


                                <div class="sidebar-article-box col-md-6 col-lg-12">
                                    <div class="card wow fadeInUp" data-wow-delay="<?php echo $i++ ?>00ms">

                                        <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                                        <?php $imgholder = IMAGES . '/no-img.jpg' ?>

                                        <a href="<?php the_permalink() ?>"><img class="card-img-top img-fluid lazy"
                                                                                data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                                                                alt="<?php the_title() ?>"></a>
                                        <div class="card-body">
                                            <h4 class="card-text"><a
                                                        href="<?php the_permalink() ?>"><?php the_title() ?></a></h4>
                                        </div>
                                    </div>
                                </div>
                                <?php if ($x % 5 == 4) : ?>
                                    <?php $middleSidebar = get_field('home_sidebar_middle', 'options');
                                    if ($middleSidebar) :?>
                                        <div class="sidebar-ad my-2">
                                            <?php echo $middleSidebar; ?>
                                        </div>
                                    <?php endif; ?>
                                <?php endif; ?>
                                <?php $x++; endwhile;
                            wp_reset_query();
                            endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>

<?php get_footer(); ?>


