<?php
/* Template Name: Contact */; ?>


<?php get_header();
wp_reset_query(); ?>


<div class="breadcrumbs" typeof="BreadcrumbList" vocab="http://schema.org/">
    <div class="container">
        <?php
        if (function_exists('yoast_breadcrumb')) {
            yoast_breadcrumb('
<p id="breadcrumbs">', '</p>
');
        }
        ?>
    </div>
</div>

<section class="contact-page">

    <div class="container">


        <div class="row">
            <div class="col-md-6">
                <div class="contacts-wrapper">
                    <?php the_content() ?>
                    <hr>
                    <ul class="list-unstyled contact-info">
                        <?php if (get_field('phone', 'options')) : ?>
                            <li><i class="fa fa-phone"></i> <?php the_field('phone', 'options') ?></li>
                        <?php endif; ?>
                        <?php if (get_field('email', 'options')) : ?>
                        <li><i class="fa fa-envelope"></i> <?php the_field('email', 'options') ?></li>
                        <?php endif; ?>
                        <?php if (get_field('address', 'options')) : ?>
                        <li><i class="fa fa-map-marker"></i> <?php the_field('address', 'options') ?></li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div>
            <div class="col-md-6">
                <div class="contacts-wrapper">
                    <?php
                    echo do_shortcode('[contact-form-7 id="88" title="contact form"]');
                    ?>
                </div>
            </div>
            <br>
        </div>
    </div>
</section>


<br><br><br><br>


<?php get_footer(); ?>



