<?php
/* Template Name: Blog */
get_header();
wp_reset_query(); ?>


<div class="breadcrumbs" typeof="BreadcrumbList" vocab="http://schema.org/">
    <div class="container">
        <?php
        if (function_exists('yoast_breadcrumb')) {
            yoast_breadcrumb('
<p id="breadcrumbs">', '</p>
');
        }
        ?>
    </div>
</div>

<section class="blog-page">
    <div class="container">
        <div class="card-columns">

            <?php
            global $paged;
            if (get_query_var('paged')) {
                $my_page = get_query_var('paged');
            } else {
                if (get_query_var('page')) {
                    $my_page = get_query_var('page');
                } else {
                    $my_page = 1;
                }
                set_query_var('paged', $my_page);
                $paged = $my_page;
            }; ?>
            <?php $postsQuery = array(
                'post_type' => 'post',
                'posts_per_page' => 12,
                'paged' => $my_page
            );
            $allPosts = new WP_Query($postsQuery);
          $i=0;  while ($allPosts->have_posts()) : $allPosts->the_post();
                $featured_img_url = get_the_post_thumbnail_url(get_the_ID(), array(368, 160));
                $placeholder_img = IMAGES .'/no-img.jpg'; ?>
                <div class="card wow fadeIn" data-wow-delay="<?php echo $i++ ?>00ms">
                    <a href="<?php the_permalink() ;?>">
                        <img class="card-img-top lazy" data-src="<?php echo $featured_img_url ? $featured_img_url : $placeholder_img ?>" alt="<?php the_title() ?>">
                    </a>
                    <div class="card-body">
                        <h5 class="card-title"><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h5>
                        <p class="card-text"><?php echo wp_trim_words(get_the_excerpt(), 40, '..') ?></p>
                        <p class="card-text">
                            <small class="text-muted"><?php echo get_the_date($post->id) ?></small>
                        </p>
                    </div>
                </div>
            <?php endwhile;
            wp_reset_query(); ?>



        </div>
        <div class="center">
            <?php wp_pagenavi(array('query' => $allPosts)); ?>
        </div>
    </div>
</section>


<br><br><br><br><br>

<?php get_footer(); ?>
