<?php get_header();
wp_reset_query(); ?>


<div class="breadcrumbs" typeof="BreadcrumbList" vocab="http://schema.org/">
    <div class="container">
        <?php
        if (function_exists('yoast_breadcrumb')) {
            yoast_breadcrumb('
<p id="breadcrumbs">', '</p>
');
        }
        ?>
    </div>
</div>
<section class="blog-page-temp">
    <div class="container">

		<?php while ( have_posts() ) : the_post(); ?>
            <div  <?php post_class('single-blog-item') ;?>>
                <div class="row">
                        <div class="col-md-4 ">
                    <a href="<?php the_permalink(); ?>">
							<?php
							if ( get_the_post_thumbnail() ) :
								echo get_the_post_thumbnail( $post->id, 'medium', array( 'class' => 'img-responsive' ) );
							else : ?>
                                <img data-src="<?php echo IMAGES; ?>/no-img.jpg" alt="<?php the_title(); ?> "
                                     class="img-fluid lazy">
							<?php endif; ?>
                    </a>
                        </div>
                        <div class="col-md-8">
                            <div class="blog-item-data">
                                <h1><?php the_title(); ?></h1>
                                <span><i class="fa fa-calendar"></i><?php echo get_the_date($post->id); ?></span>
                                <span><i class="fa fa-comment-o"></i> <?php comments_number(); ?></span>
								<?php the_excerpt(); ?>
                            </div>
                        </div>

                </div>
            </div>
		<?php endwhile;wp_reset_query(); ?>
        <div class="center">
			<?php wp_pagenavi(); ?>
        </div>

    </div>
</section>

<?php get_footer(); ?>
